Package com.saxonica.ee.extfn.js

## Class IXSLFunctionSet

- java.lang.Object
- - net.sf.saxon.functions.registry.BuiltInFunctionSet
  - - com.saxonica.ee.extfn.js.IXSLFunctionSet

- All Implemented Interfaces:
    `FunctionLibrary`

      public class IXSLFunctionSet
      extends BuiltInFunctionSet

  The IXSLFunctionSet represents additions to the set of Saxon vendor-supplied extension functions that are available on Saxon-JS.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `IXSLFunctionSet.Call` |
    `static class` | `IXSLFunctionSet.Eval` |
    `static class` | `IXSLFunctionSet.ScheduleActionFn` |
    `static class` | `IXSLFunctionSet.Source` |
    `static class` | `IXSLFunctionSet.Stub` | Most of the functions in this library will only run in Saxon-JS, some of them only in the browser

    - ### Nested classes/interfaces inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `BuiltInFunctionSet.Entry`

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static javax.script.ScriptEngine` | `engine` |

    - ### Fields inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `ABS, AS_ARG0, AS_PRIM_ARG0, BASE, CARD0, CDOC, CITEM, DCOLL, DEPENDS_ON_STATIC_CONTEXT, DLANG, EMPTY, FILTER, FOCUS, INS, LAST, LATE, NAV, NEW, NS, ONE, OPT, PLUS, POSN, SIDE, STAR, TRA, UO`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getConventionalPrefix()` | Return a conventional prefix for use with this namespace, typically the prefix used in the documentation of these functions.
    `static IXSLFunctionSet` | `getInstance()` |
    `java.lang.String` | `getNamespace()` | Return the namespace URI for the functions local to this function set.
    `static javax.script.ScriptEngine` | `obtainEngine()` |

    - ### Methods inherited from class net.sf.saxon.functions.registry.BuiltInFunctionSet

      `bind, copy, getFunctionDetails, getFunctionItem, importFunctionSet, isAvailable, makeFunction, register, registerReducedArityVariants`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.saxon.functions.FunctionLibrary

      `setConfiguration`

- - ### Field Detail

    - #### engine

          public static javax.script.ScriptEngine engine

  - ### Method Detail

    - #### getInstance

          public static IXSLFunctionSet getInstance()

    - #### getNamespace

          public java.lang.String getNamespace()

      Description copied from class: `BuiltInFunctionSet`
      Return the namespace URI for the functions local to this function set.
      Overrides:
        `getNamespace` in class `BuiltInFunctionSet`
      Returns:
        the namespace URI of the functions local to this function set. Note that functions imported from another function set may have a different namespace URI.

    - #### getConventionalPrefix

          public java.lang.String getConventionalPrefix()

      Description copied from class: `BuiltInFunctionSet`
      Return a conventional prefix for use with this namespace, typically the prefix used in the documentation of these functions.
      Overrides:
        `getConventionalPrefix` in class `BuiltInFunctionSet`

    - #### obtainEngine

          public static javax.script.ScriptEngine obtainEngine()
                                                        throws XPathException

      Throws:
        `XPathException`